Bug 4750 - Неверная логика работы
: Неверная логика работы
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/rpm-build-python)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-07-09 13:55 by
Modified: 2007-04-06 15:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-09 13:55:51
Пакет vegastrike-data.
Имеем кучу кода на python, который кладется в /usr/share/games/vegasrike/

В спек пришлось добавить:
%add_python_lib_path %gamesdatadir/%oname/modules/ %gamesdatadir/%oname/bases/
%gamesdatadir/%oname/modules/bui
ltin/ %gamesdatadir/%oname/modules/stub
%add_python_req_skip Base Briefing Director VS faction_ships dynamic_mission
launch mission_lib vsrandom fixers
 explore quest

При этом макрос %add_python_lib_path не работает и те модули, которые лежат в
/usr/share/games/vegasrike/ все равно появляются в Requires и не появляются в
provides (например faction_ships)
------- Comment #1 From 2004-07-09 15:57:42 -------
Извини, я нашел где указан путь, можно не посылать повторно. 
Вопрос в порядке обуждения / уточнения - %add_python_req_skip - сработал или 
нет? Если сработал, то проблема _в_принципе_ решена? Тогда почему баг 
блокирующий? Тем более что в силу специфики vegastrike, как я уже сказал, это 
хороший вариант решения. 
------- Comment #2 From 2004-07-09 16:12:46 -------
Сработал. Blocker - т.к. подобных пакетов есть еще, а времени на разруливание
этого - нет и не будет.

Необходимо чинить скрипты, к тому же как чинить - в принципе понятно.
------- Comment #3 From 2006-01-18 17:03:06 -------
Что-то сдвинулось с мертвой точки?..
------- Comment #4 From 2006-12-16 21:22:39 -------
На маинтейнера
------- Comment #5 From 2006-12-24 15:47:20 -------
Опять переписка теней :(. Кто-нибудь из живых, ответьте по существу. Если
никого
не волнует, я эту багу закрою.
------- Comment #6 From 2006-12-25 11:40:45 -------
+1
------- Comment #7 From 2006-12-25 11:56:20 -------
(In reply to comment #6)
> +1
Что сие значит? С кем из нены недействующих вы согласны и почему?
------- Comment #8 From 2006-12-25 13:03:09 -------
Закрыть и все...
------- Comment #9 From 2006-12-25 13:06:28 -------
(In reply to comment #8)
> Закрыть и все...

OK. Подождём, вдруг кто живой проявится с этой ошибкой. Но по-моему, титаны
просто друг друга недопоняли и/или недозаставили.
------- Comment #10 From 2007-01-10 16:06:03 -------
Никого это уже не волнует, похоже. Или никто не понимает, о чём спор.
------- Comment #11 From 2007-04-06 15:55:23 -------
closed, что бы не мешалось